<?php
$LIMPIAR=0;
$SYS_FOC="TxtNom";
//-------------------------------------------------------------------------
$StrNom=V($_POST['TxtNom']);
$StrCon=V($_POST['TxtCon']);
$StrDir=V($_POST['TxtDir']);
$StrDis=V($_POST['CboDis']);
$StrRuc=V($_POST['TxtRuc']);
$StrDni=V($_POST['TxtDni']);
$StrTel=V($_POST['TxtTel']);	
$StrCel=V($_POST['TxtCel']);	
$StrFax=V($_POST['TxtFax']);	
$StrEma=V($_POST['TxtEma']);
//----------------------------------------------------------------------+++
PID($StrId,V($_GET['Id']),$StrCmd,$LStrPag,V($_GET['Pag']));
//--------------------------------------------------------------------------
if(strlen($StrId)>0 && $StrCmd=="AR"){
	$Id=$StrId;
	$StrNom=gs("NOMBRE","vproveedores","ID=$Id");		
	$StrCon=gs("CONTACTO","vproveedores","ID=$Id");		
	$StrDir=gs("DIRECCION","vproveedores","ID=$Id");		
	$StrDis=gs("DISTRITO","vproveedores","ID=$Id");		
	$StrRuc=gs("RUC","vproveedores","ID=$Id");		
	$StrDni=gs("DNI","vproveedores","ID=$Id");		
	$StrTel=gs("TEL","vproveedores","ID=$Id");		
	$StrCel=gs("CEL","vproveedores","ID=$Id");		
	$StrFax=gs("FAX","vproveedores","ID=$Id");		
	$StrEma=gs("EMAIL","vproveedores","ID=$Id");		
	$LStrFoc="document.getElementById('TxtNom').focus();";		
}
//--------------------------------------------------------------------------
if($StrCmd=="G" || $StrCmd=="M"){		
	$StrDis_=gn("id_distrito","distritos","dis_nombre='$StrDis'");
}
//--------------------------------------------------------------------------
if($StrCmd=="G"){
	if(GetC("vproveedores","NOMBRE='$StrNom'")>0){	
		$SYS_MSG="Nombre del proveedor ya esta registrado";
		$SYS_FOC="TxtNom";
		$OK=0;
	}		
	if($OK==1){
		if(strlen($StrRuc)>0){
			if(GetC("vproveedores","RUC='$StrRuc'")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$SYS_FOC="TxtRuc";
				$OK=0;			
			}
		}
	}
	if($OK==1){
		$Id=GenId("id_proveedor","proveedores");
		$s="INSERT INTO proveedores VALUES ($Id,'$StrNom','$StrCon'
			,'$StrDir',$StrDis_,'$StrDni','$StrRuc','$StrTel'
			,'$StrCel','$StrFax','$StrEma')";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$Id;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PROVEEDORES","GUARDAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos Guardados";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;
	}
}
//--------------------------------------------------------------------------
if($StrCmd=="M"){
	if(GetC("vproveedores","NOMBRE='$StrNom' AND ID<>$StrId")>0){
		$SYS_MSG="Nombre del proveedor ya esta registrado";
		$SYS_FOC="TxtNom";
		$OK=0;
	}
	if($OK==1){
		if(strlen($StrRuc)>0){
			if(GetC("vproveedores","RUC='$StrRuc' AND ID<>$StrId")>0){
				$SYS_MSG="Numero de ruc ya registrado";
				$SYS_FOC="TxtRuc";
				$OK=0;						
			}
		}
	}
	//
	if($OK==1){
		$s="UPDATE proveedores SET pro_nombre='$StrNom',pro_contacto='$StrCon'
			,pro_dir='$StrDir',pro_id_distrito=$StrDis_,pro_dni='$StrDni',
			pro_ruc='$StrRuc',pro_tel='$StrTel'
			,pro_cel='$StrCel',pro_fax='$StrFax',pro_email='$StrEma' 
			WHERE id_proveedor=$StrId";
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PROVEEDORES","MODIFICAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos Actualizados";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;
	}
}

//--------------------------------------------------------------------------
if($StrCmd=="E"){
	if($OK==1){
		$s="DELETE FROM proveedores WHERE id_proveedor=$StrId";	
		ejt($s);
		//BIT
		$_BIT_MOD_ID=$StrId;
		$_BIT_SQL_CAB=$s;
		$_BIT_SQL_DET="";
		$_BIT_PHP="sis_proveedores.php";
		$_BIT_ID=BIT_ADD("MANTENIMIENTO","PROVEEDORES","ELIMINAR",$_BIT_MOD_ID,$_BIT_SQL_CAB,$_BIT_SQL_DET,$_BIT_PHP);
		BIT_DET_ADD($_BIT_ID,$s);
		//BIT	
		$SYS_MSG="Datos Eliminados";
		$SYS_FOC="TxtNom";
		$LIMPIAR=1;	
	}
}

//-------------------------------------------------------------------------
if($StrCmd=="L"){
	$LIMPIAR=1;
}
//-------------------------------------------------------------------------
if($LIMPIAR==1){
	$StrId="";
	$StrNom="";
	$StrCon="";
	$StrDir="";
	$StrDis="";
	$StrRuc="";
	$StrDni="";
	$StrTel="";
	$StrCel="";
	$StrFax="";
	$StrEma="";	
	$OK=0;
}
//-------------------------------------------------------------------------
?>